Bug 203916 - Enable GPU switching with ANGLE
Summary: Enable GPU switching with ANGLE
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 198948
  Show dependency treegraph
 
Reported: 2019-11-06 13:21 PST by James Darpinian
Modified: 2019-11-27 11:00 PST (History)
8 users (show)

See Also:


Attachments
Enable GPU switching with ANGLE (7.89 KB, patch)
2019-11-06 13:24 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Fix build error (8.17 KB, patch)
2019-11-06 14:05 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Rebase on Dean's ANGLE/iOS changes (7.30 KB, patch)
2019-11-15 17:27 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Rebase again (7.40 KB, patch)
2019-11-22 16:13 PST, James Darpinian
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Darpinian 2019-11-06 13:21:11 PST
Enable GPU switching with ANGLE
Comment 1 James Darpinian 2019-11-06 13:24:08 PST
Created attachment 382953 [details]
Enable GPU switching with ANGLE
Comment 2 James Darpinian 2019-11-06 14:05:04 PST
Created attachment 382959 [details]
Fix build error
Comment 3 Alex Christensen 2019-11-08 13:44:42 PST
Comment on attachment 382959 [details]
Fix build error

View in context: https://bugs.webkit.org/attachment.cgi?id=382959&action=review

> Source/WebCore/platform/graphics/GraphicsContext3D.h:1195
> +#if USE(OPENGL) || USE(ANGLE)

Did you intentionally drop the PLATFORM(MAC)?  Does this work on iOS, too?
Also EWS says this needs rebasing.  Does it?
Comment 4 James Darpinian 2019-11-15 17:27:50 PST
Created attachment 383676 [details]
Rebase on Dean's ANGLE/iOS changes
Comment 5 James Darpinian 2019-11-15 17:30:48 PST
Comment on attachment 382959 [details]
Fix build error

View in context: https://bugs.webkit.org/attachment.cgi?id=382959&action=review

>> Source/WebCore/platform/graphics/GraphicsContext3D.h:1195
>> +#if USE(OPENGL) || USE(ANGLE)
> 
> Did you intentionally drop the PLATFORM(MAC)?  Does this work on iOS, too?
> Also EWS says this needs rebasing.  Does it?

It didn't work on iOS before, but this was before Dean landed his patches for ANGLE iOS support. I've rebased this and it should work now.
Comment 6 James Darpinian 2019-11-22 16:13:43 PST
Created attachment 384213 [details]
Rebase again
Comment 7 WebKit Commit Bot 2019-11-27 10:59:46 PST
Comment on attachment 384213 [details]
Rebase again

Clearing flags on attachment: 384213

Committed r252909: <https://trac.webkit.org/changeset/252909>
Comment 8 WebKit Commit Bot 2019-11-27 10:59:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-11-27 11:00:21 PST
<rdar://problem/57508688>